Bug 500895 - Can't create a variable with a space in the value
Can't create a variable with a space in the value
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Justin Sherrill
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-05-14 14:57 EDT by Justin Sherrill
Modified: 2009-09-10 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-05-14 14:57:45 EDT
Try to create a variable with a space in the value

i.e.


buddy=my name is jonas


it fails.  


The following should work:

buddy=my name is jonas
buddy="my name is jonas"
Comment 1 Justin Sherrill 2009-05-14 14:58:38 EDT
this is the variable page for profiles, systems, and distros.
Comment 2 Justin Sherrill 2009-05-14 15:43:16 EDT
Unless this is fixed, the variables (a feature of the cobbler integration) is nearly useless, as you would only be able to use 1 word variables.
Comment 3 Justin Sherrill 2009-05-14 15:53:33 EDT
Variables are used in cobbler templates so you can define variables for distros, profiles, and systems as key value pairs.


So say on some systems you want to clear the partition tables, but on a select few you don't.

You can define the variable

clearpart = clearpart --all

 at the profile level.

Then you simply redefine for those select systems as:

clearpart = clearpart --none


then in your kickstart you would add:
$clearpart 
as a kickstart option.


For all systems by default it would then replace $clearpart with "clearpart --all" unless it was overridden on that system.
Comment 4 Justin Sherrill 2009-05-19 13:23:42 EDT
89e26cf
Comment 5 Steve Salevan 2009-05-29 11:37:01 EDT
VERIFIED on 5/21 build.
Comment 6 Jeff Browning 2009-07-28 18:00:03 EDT
Tested on dhcp77-153
Comment 7 Brandon Perkins 2009-09-10 15:25:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.